// --------------------------------------------------------------------------------------
//
// frmStanze(Stanze.CPP)                                           Ulrich Mller 01.06.02
//                                                                 PCS1700 C++Builder 4.0
// Stanzmaschine mit Transportband (51 663)
// mit FishFa30.H/CPP auf Basis von umFish30.DLL
//
// --------------------------------------------------------------------------------------

#ifndef StanzeH
#define StanzeH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <jpeg.hpp>
#include "FishFa30.h"

//-------- Konstanten -------------------------------------------------------

const int
    mBand = 1, cbVor = 1, cbRuck = 2,
    ePhotoV = 1, ePhotoS = 2, mLampen = 3,
    mStanze = 2, eOben = 3, eUnten = 4, csAb = 1, csAuf = 2;

class TfrmStanze : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
    TImage *Image1;
    TImage *Image2;
    TButton *cmdEnde;
    TButton *cmdAction;
    TLabel *lblStatus;
    void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
    void __fastcall cmdEndeClick(TObject *Sender);
    void __fastcall cmdActionClick(TObject *Sender);
    void __fastcall Action();
private:
    TFishFace ft;
public:		// Anwenderdeklarationen
    __fastcall TfrmStanze(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmStanze *frmStanze;
//---------------------------------------------------------------------------
#endif
